
var audio = new Audio(playlist[0].url);
audio.loop = false; // Muziek wordt niet herhaald

var seqno, playing = 0;    // Index van het nummer dat wordt gespeeld

window.addEventListener("load", function(){

  document.querySelector("#play").addEventListener("click", function(){
    if (document.querySelector("[data-player] *:last-child").innerText == "--") {
      while (playing == seqno) {
        playing = Math.floor(Math.random() * playlist.length);
      }
      audio.src = playlist[ playing ].url;
      document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
      document.getElementById('play').innerHTML = "&#9638;";
      seqno = playing;
      audio.play();
    } else {
      audio.pause();
      seqno = playing;
      document.querySelector("[data-player] *:last-child").innerText = "--";
      document.getElementById('play').innerHTML = "&gt;";
    }
  });

  document.querySelector("#pause").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (audio.paused) {  // Pauzeknop meer dan 1x indrukken heeft geen zin
      document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
      audio.play()
    } else {
      audio.pause();
      document.querySelector("[data-player] *:last-child").innerText = "(Afspelen is gepauzeerd)";
    }
  });

  audio.addEventListener("ended", function() {
    while (playing == seqno) {
      playing = Math.floor(Math.random() * playlist.length);
    }
    seqno = playing;
    audio.src = playlist[ playing ].url;
    document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });

});

